// gaugedem.cpp : implementation file
//

#include "stdafx.h"
#include "vbxdemo.h"
#include "gaugedem.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGaugeDemo dialog


CGaugeDemo::CGaugeDemo(CWnd* pParent /*=NULL*/)
	: CDialog(CGaugeDemo::IDD, pParent)
{
	//{{AFX_DATA_INIT(CGaugeDemo)
	m_pGauge3 = NULL;
	m_pSpin = NULL;
	//}}AFX_DATA_INIT
}

void CGaugeDemo::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGaugeDemo)
	DDX_VBGauge(pDX, IDC_VBGAUGE3, m_pGauge3);
	DDX_VBSpin(pDX, IDC_VBSPIN1, m_pSpin);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CGaugeDemo, CDialog)
	//{{AFX_MSG_MAP(CGaugeDemo)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_SCROLLUP, IDC_VBSPIN1, OnScrollupVbspin1)
	ON_VBXEVENT(VBN_SCROLLDN, IDC_VBSPIN1, OnScrolldnVbspin1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CGaugeDemo message handlers

void CGaugeDemo::OnDestroy()
{
	CDialog::OnDestroy();
	
	::WinHelp( m_hWnd, "VBXSTD12.HLP", HELP_QUIT, NULL );		
	
}

BOOL CGaugeDemo::OnInitDialog()
{
	CDialog::OnInitDialog();
	
	UpdateData( FALSE );	
	if ( !IsHlpHere() )
		GetDlgItem( IDHELP )->EnableWindow( FALSE );
		
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CGaugeDemo::OnHelp()
{
	CString FAR szWinDir, szName, szMsg;
	GetSystemDirectory( szWinDir.GetBuffer(250), 248 );
	szWinDir.ReleaseBuffer();
	if ( szWinDir.GetLength() > 3 )
		szWinDir += "\\";
	szName = szWinDir;
	szName += "VBXSTD12.HLP";
    if ( !IsHlpHere() )
    	return;
	::WinHelp( m_hWnd, szName, HELP_KEY, (long)"VBGauge" );
	
}

void CGaugeDemo::OnScrollupVbspin1(UINT, int, CWnd*, LPVOID)
{
	m_pSpin->Value() = 0;
	if ( m_pGauge3->Value() < 96 )
		{
		m_pGauge3->Value() += 5;
		m_pGauge3->GetVBX()->Refresh();      // required when use with VC++
		}
}

void CGaugeDemo::OnScrolldnVbspin1(UINT, int, CWnd*, LPVOID)
{
	m_pSpin->Value() = 0;
	if ( m_pGauge3->Value() > 4 )
		{
		m_pGauge3->Value() -= 5;
		m_pGauge3->GetVBX()->Refresh();		// required when use with VC++
		}
}